std::hash< experimental::optional< _Tp > > Struct Template Reference

`#include <optional>`

## Public Types

using | argument_type = experimental::optional< _Tp >
using | result_type = size_t

## Public Member Functions

size_t | operator() (const experimental::optional< _Tp > &__t) const noexcept(noexcept(hash< _Tp > {}(*__t)))

## Detailed Description

template<typename _Tp>
struct std::hash< experimental::optional< _Tp > >

std::hash partial specialization for experimental::optional

Definition at line 916 of file experimental/optional.

## Member Typedef Documentation

## argument_type

template<typename _Tp >

using std::hash< experimental::optional< _Tp > >::argument_type = experimental::optional<_Tp>

Definition at line 919 of file experimental/optional.

## result_type

template<typename _Tp >

using std::hash< experimental::optional< _Tp > >::result_type = size_t

Definition at line 918 of file experimental/optional.

## Member Function Documentation

## operator()()

template<typename _Tp >

size_t std::hash< experimental::optional< _Tp > >::operator() | ( | const experimental::optional< _Tp > & | __t | ) | const

inline noexcept

Definition at line 922 of file experimental/optional.

The documentation for this struct was generated from the following file:

- experimental/optional